module Clockker
  VERSION = "0.2.0"

  def self.macos_version
    @mov ||= `sw_vers -productVersion`
    major, minor, patch = @mov.split('.').map{|x| x.to_i}
    return [major, minor, patch]    
  end

  def self.version_string
    "Clockker #{Clockker::VERSION} on macOS #{Clockker.macos_version.join('.')}"
  end

  def self.version
    ["Clockker", Clockker::VERSION, "macOS", Clockker.macos_version.join('.')].join(' ')
  end
end
